%if 0%{?el7}
%define dist .el7
%endif

Name:           libmpdclient
Version:        2.18
Release:        1%{?dist}
Summary:        This is a library for interfacing Music Player Daemon (MPD).

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool doxygen
BuildRequires:  meson ninja-build
BuildRequires:  gcc gcc-c++

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#./autogen.sh
meson --prefix $RPM_BUILD_ROOT%{_prefix} . output

%build
#configure --disable-static \
#	--enable-shared
#make %%{?_smp_mflags}
ninja -C output
sed -i "s@$RPM_BUILD_ROOT@@g;" output/meson-private/libmpdclient.pc

%install
rm -rf $RPM_BUILD_ROOT
ninja -C output install
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/COPYING
#make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README*
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*
#%%exclude %%{_docdir}/%%{name}-%%{version}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/libmpdclient.vapi
#%%{_docdir}/%%{name}-%%{version}/*

%changelog
* Fri Jun 05 2020 momo-i <webmaster@momo-i.org> - 2.18-1
- Update to 2.18

* Tue Dec 24 2019 momo-i <webmaster@momo-i.org> - 2.17-1
- Update to 2.17

* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 2.16-1
- Update to 2.16

* Sun Jul 08 2018 momo-i <webmaster@momo-i.org> - 2.14-1
- Update to 2.14

* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 2.13-1
- Update to 2.13

* Sun Apr 02 2017 momo-i <webmaster@momo-i.org> - 2.11-1
- Update to 2.11

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.10-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.10-4
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.10-3
- Rebuilt for fc22

* Mon Mar  9 2015 momo-i <webmaster@momo-i.org> - 2.10-2
- Update to 2.10

* Wed Nov 27 2013 momo-i <webmaster@momo-i.org> - 2.9-2
- Update to 2.9

* Mon Oct  7 2013 momo-i <webmaster@momo-i.org> - 2.8-2
- Update docs

* Wed Jun 26 2013 momo-i <webmaster@momo-i.org> 2.8-1
- Initial rpm release.
